#
# spec file for package UEFITool
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           UEFITool
Url:            https://github.com/LongSoft/UEFITool
Summary:        Tools to inspect and work on UEFI BIOSes
License:        BSD-2-Clause
Group:          Development/Tools/Other
Version:        0.29.99+git20161222.2234
Release:        1.1
Source0:        UEFITool.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

%description
UEFITool is a cross-platform C++/Qt program for parsing, extracting and modifying UEFI firmware images.
It supports parsing of full BIOS images starting with the flash descriptor or any binary files containing UEFI volumes.
Original development was started at MDL forums as a cross-platform analog to PhoenixTool's structure mode with some additional features, but the program's engine was proven to be useful for another projects like UEFIPatch, UBU and OZMTool.

%prep
%setup -q -n %{name}
sed -i -e "s/std::set<std::pair<QModelIndex, QModelIndex> >::const_iterator/auto/g" UEFIFind/uefifind.cpp

%build
%{_libqt5_qmake} -o UEFITool/Makefile "QMAKE_CFLAGS_RELEASE=%optflags" "QMAKE_CXXFLAGS_RELEASE=%optflags -std=c++11" "QMAKE_LFLAGS_RELEASE=%optflags" UEFITool/uefitool.pro
%{_libqt5_qmake} -o UEFIExtract/Makefile "QMAKE_CFLAGS_RELEASE=%optflags" "QMAKE_CXXFLAGS_RELEASE=%optflags -std=c++11" "QMAKE_LFLAGS_RELEASE=%optflags" UEFIExtract/uefiextract.pro
%{_libqt5_qmake} -o UEFIFind/Makefile "QMAKE_CFLAGS_RELEASE=%optflags" "QMAKE_CXXFLAGS_RELEASE=%optflags -std=c++11" "QMAKE_LFLAGS_RELEASE=%optflags" UEFIFind/uefifind.pro
for i in UEFITool UEFIExtract UEFIFind; do
  pushd $i
    make %{?_smp_mflags}
  popd
done

%install
mkdir -p %{buildroot}/%{_bindir}
for i in UEFITool UEFIExtract UEFIFind; do
  pushd $i
    install -m 0755 $i %{buildroot}/%{_bindir}
  popd
done

%files
%defattr(-,root,root)
%{_bindir}/UEFI*

%changelog
* Sat Jan 10 2015 johannesobermayr@gmx.de
- Initial package
